# Uses of Class
javax.smartcardio.CardChannel

Packages that use CardChannel
Package
Description
javax.smartcardio
Java™ Smart Card I/O API.

## Uses of CardChannel in javax.smartcardio

Methods in javax.smartcardio that return CardChannel
Modifier and Type
Method
Description
`abstract CardChannel`
Card.`getBasicChannel()`
Returns the CardChannel for the basic logical channel.
`abstract CardChannel`
Card.`openLogicalChannel()`
Opens a new logical channel to the card and returns it.